JunitGenerator startup failure

I have just upgraded to Idea5 and when I install the latest version of this plugin and restart Idea 5 I get the following exception reported as an IDE internal error:

Original exception: org/intellij/plugins/junitgen/JUnitGenerator (Unsupported major.minor version 49.0)
java.lang.UnsupportedClassVersionError: org/intellij/plugins/junitgen/JUnitGenerator (Unsupported major.minor version 49.0)
at java.lang.ClassLoader.defineClass0(Native Method)


I'm using version 5.0.1 (build 3461) and JDK 1.4.2_07 under Mac OSX 10.4.2, and plugin 1.1.6.

Anyone know how to fix this?

1 comment
Comment actions Permalink

You can download the new Intellij5 version of the plugin from...
http://www.intellij.org/twiki/bin/view/Main/JUnitGenerator

However I am running the Intellij4 version with 4.5.4 and dont seem to get anything generated - like some other people. And unfortunatly no clues as to what it has tried to do.

0

Please sign in to leave a comment.